package intrinsic.flash.media;

public class Sound extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public int bytesLoaded;
	public String url;
	public intrinsic.flash.media.ID3Info id3;
	public int bytesTotal;
	public boolean isBuffering;
	public double length;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Sound() {
}

public Sound(Object arg0) {
}

public Sound(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void close();
public native intrinsic.flash.media.SoundChannel play();
public native intrinsic.flash.media.SoundChannel play(double arg0);
public native intrinsic.flash.media.SoundChannel play(double arg0, int arg1);
public native intrinsic.flash.media.SoundChannel play(double arg0, int arg1, intrinsic.flash.media.SoundTransform arg2);
public native void load(intrinsic.flash.net.URLRequest arg0);
public native void load(intrinsic.flash.net.URLRequest arg0, intrinsic.flash.media.SoundLoaderContext arg1);

}
